# Interface SymbolJsonBase

Base class for all symbols.

interface SymbolJsonBase {
type: SymbolJsonType;
}

#### Hierarchy (view full)

- SymbolJsonBase
  - Symbol3DJsonBase
  - CIMSymbolJson
  - CIMSymbolReferenceJson
  - PictureFillSymbolJson
  - PictureMarkerSymbolJson
  - SimpleFillSymbolJson
  - SimpleLineSymbolJson
  - SimpleMarkerSymbolJson
  - TextSymbolJson

#####
Index

### Properties

type

##
Properties

### type

type: SymbolJsonType

The type of symbol. See SymbolJsonType.